clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::rename::USRFindingAction Struct Reference

`#include <USRFindingAction.h>`

## Public Member Functions
| USRFindingAction (unsigned Offset)
std::unique_ptr< ASTConsumer > | newASTConsumer ()
const std::string & | getUSRSpelling ()
const std::vector< std::string > & | getUSRs ()

## Detailed Description

Definition at line 27 of file USRFindingAction.h.

## Constructor & Destructor Documentation

clang::rename::USRFindingAction::USRFindingAction | ( | unsigned | Offset | ) |
| inline

Definition at line 28 of file USRFindingAction.h.

## Member Function Documentation

const std::vector<std::string>& clang::rename::USRFindingAction::getUSRs | ( |  | ) |
| inline

Definition at line 37 of file USRFindingAction.h.

const std::string& clang::rename::USRFindingAction::getUSRSpelling | ( |  | ) |
| inline

Definition at line 33 of file USRFindingAction.h.

std::unique_ptr< ASTConsumer > clang::rename::USRFindingAction::newASTConsumer | ( |  | ) |

Definition at line 107 of file USRFindingAction.cpp.

References SymbolOffset().

The documentation for this struct was generated from the following files:

- USRFindingAction.h
- USRFindingAction.cpp